Ogre::TerrainLayerDeclaration Struct Reference
Terrain

The definition of the information each layer will contain in this terrain. More...

`#include <OgreTerrainMaterialGenerator.h>`

List of all members.

## Public Member Functions

bool | operator== (const TerrainLayerDeclaration &dcl) const

## Public Attributes

TerrainLayerSamplerList | samplers
TerrainLayerSamplerElementList | elements

## Detailed Description

The definition of the information each layer will contain in this terrain.

All layers must contain the same structure of information, although the input textures can be different per layer instance.

Definition at line 125 of file OgreTerrainMaterialGenerator.h.

## Member Function Documentation

bool Ogre::TerrainLayerDeclaration::operator== | ( | const TerrainLayerDeclaration & | dcl | ) | const

Definition at line 130 of file OgreTerrainMaterialGenerator.h.

References elements, and samplers.

## Member Data Documentation

TerrainLayerSamplerElementList Ogre::TerrainLayerDeclaration::elements

Definition at line 128 of file OgreTerrainMaterialGenerator.h.

Referenced by operator==().

TerrainLayerSamplerList Ogre::TerrainLayerDeclaration::samplers

Definition at line 127 of file OgreTerrainMaterialGenerator.h.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- OgreTerrainMaterialGenerator.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:44